Bug 444806 - FIPS-140-2: Meet certification requirements, pam
FIPS-140-2: Meet certification requirements, pam
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pam (Show other bugs)
6.0
All Linux
high Severity high
: alpha
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-30 13:51 EDT by Irina Boverman
Modified: 2010-06-30 03:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-30 03:19:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Irina Boverman 2008-04-30 13:51:03 EDT
Description of problem:
Review all crypto usage and replace by NSS or fips approved algorithms
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 RHEL Product and Program Management 2008-06-02 16:02:44 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 RHEL Product and Program Management 2009-06-15 17:02:41 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 8 Tomas Mraz 2010-06-30 03:19:43 EDT
Let's just close it. There are some modules and obsoleted functionality (old passwords in pam_unix and MD5 hashes) which do not use the glibc password hash implementation, but in a properly configured system these would not be used.

Note You need to log in before you can comment on or make changes to this bug.